Get subscription details
curl --request GET \
--url https://api.funnelfox.io/public/v1/subscriptions/{id} \
--header 'Fox-Secret: <fox-secret>'import requests
url = "https://api.funnelfox.io/public/v1/subscriptions/{id}"
headers = {"Fox-Secret": "<fox-secret>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Fox-Secret': '<fox-secret>'}};
fetch('https://api.funnelfox.io/public/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"psp_id": "<string>",
"status": "created",
"profile": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"preview": true
},
"funnel": {
"id": "<string>",
"title": "<string>",
"alias": "<string>",
"type": "default"
},
"funnel_version": 123,
"session": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"locale": "<string>",
"user_agent": "<string>"
},
"price": 100,
"currency": "<string>",
"price_usd": 100,
"billing_interval": "day",
"billing_interval_count": 123,
"payment_provider": "stripe",
"renews": true,
"sandbox": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period_starts_at": "2023-11-07T05:31:56Z",
"funnel_locale": "<string>",
"experiment": {
"id": "<string>",
"title": "<string>",
"alias": "<string>",
"enabled": true
},
"product_id": "<string>",
"product": {
"id": "<string>",
"name": "<string>",
"status": "active"
},
"trial_offer": "free",
"trial_transaction_id": "<string>",
"period_ends_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"renewed_at": "2023-11-07T05:31:56Z",
"upgrades_to": "<string>",
"custom_entitlement": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Get subscription details
GET
/
subscriptions
/
{id}
Get subscription details
Headers
Project Secret Key
Example:
"secret_"
Path Parameters
Subscription ID
Response
Subscription details
Available options:
created, trialing, active, paused, cancelled, expired, unpaid Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Monetary amount in cents (e.g., $1.00 = 100 cents)
Example:
100
Monetary amount in cents (e.g., $1.00 = 100 cents)
Example:
100
Available options:
day, week, month, year Available options:
stripe, paddle, paypal, braintree, solidgate Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
free, paid Was this page helpful?
